﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EvalReport
{
    public class Eval
    {
        public Eval()
        {
            EvalNumber = "D2016 08 25 003 U";
            Barcode = "1163848406";
            ArrivedDate = DateTime.Parse("08/25/2016");
            ClosedDate = DateTime.Parse("08/25/2016");

            MailingInfoLeft = "Getuwell\r\n8605 SW Creekside Pl\r\nBeaverton, OR  97008";
            MailingInfoRight = "Anxious Alishia";

            Samples = new List<Sample>();
            Samples.Add(new Sample() { SampleType = "Blood Spot", CollectionStamp = DateTime.Parse("08/22/16 06:45") });
            Samples.Add(new Sample() { SampleType = "Blood Spot", CollectionStamp = DateTime.Parse("08/22/16 09:00") });
            Samples.Add(new Sample() { SampleType = "Blood Spot", CollectionStamp = DateTime.Parse("08/22/16 18:30") });
            Samples.Add(new Sample() { SampleType = "Blood Spot", CollectionStamp = DateTime.Parse("08/22/16 22:45") });

            Tests = new List<Test>();
            Tests.Add(new Test() { Name = "Serotonin (Urine)", Result = "32", Level = "L", Range = "47.6-140.3" });
            Tests.Add(new Test() { Name = "5-HIAA (Urine)", Result = "11800", Level = "", Range = "2205-11816" });

            ProductCategories = new List<ProductCategory>();
            ProductCategories.Add(new ProductCategory() { Id = 1, Name = "Prod1" });
            ProductCategories.Add(new ProductCategory() { Id = 2, Name = "Prod2" });
            ProductCategories.Add(new ProductCategory() { Id = 3, Name = "Prod3" });
        }

        public string EvalNumber { get; set; }
        public string Barcode { get; set; }
        public DateTime ArrivedDate { get; set; }
        public DateTime ClosedDate { get; set; }

        public string MailingInfoLeft { get; set; }
        public string MailingInfoRight { get; set; }
        public List<Sample> Samples { get; set; }
        public List<Test> Tests { get; set; }
        public List<ProductCategory> ProductCategories { get; set; }
    }
}
